% Curve Fitting Toolbox -- Examples
%
% Fitting Curves and Surfaces to Data
%   FitPolynomialExample    - Polynomial Curve Fitting
%   FitCustomSurfaceExample - Surface Fitting With Custom Equations to Biopharmaceutical Data
%   FitSmoothSurfaceExample - Fit Smooth Surfaces To Investigate Fuel Efficiency
%
% Fundamental Spline Methods
%   splexmpl                - How to Construct Splines
%   spalldem                - Construct and Work with the B-form
%   ppalldem                - Construct and Work with the PPFORM
%   pckkntdm                - How to Choose Knots
%
% Fitting Splines to Data
%   csapidem                - Cubic Spline Interpolation
%   csapsdem                - Cubic Smoothing Splines
%   spapidem                - Fitting a Spline to Titanium Test Data
%   splinetool              - Experiment Spline Approximation Methods
%
% Spline Application Examples
%   spcrvdem                - Splines in the Plane
%   getcurv2                - Constructing Spline Curves in 2D and 3D
%   histodem                - Smoothing a Histogram
%   tspdem                  - Bivariate Tensor Product Splines
%   bspligui                - Experiment with B-splines
%   difeqdem                - Solving a Nonlinear ODE with a Boundary Layer by Collocation
%   chebdem                 - Construction of a Chebyshev Spline

%   Copyright 2001-2019 The MathWorks, Inc. 
